Package ru.bitel.oss.kernel.job.common.bean

# Class Job

java.lang.Object
ru.bitel.oss.kernel.job.common.bean.Job

public class Job extends Object
Bean задачи встроенного в биллинг планировщика. ПРосто отображение модели БД. В рантайме работает другая сущность - JobRuntime.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Job(long id, String group, String name, String classname, boolean concurrent, boolean persistent, String params, long version)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `String`
  `getGroup()`
  `long`
  `getId()`
  `String`
  `getName()`
  `String`
  `getParams()`
  `long`
  `getVersion()`
  `boolean`
  `isConcurrent()`
  `boolean`
  `isPersistent()`
  `void`
  `setClassName(String className)`
  `void`
  `setConcurrent(boolean concurrent)`
  `void`
  `setGroup(String group)`
  `void`
  `setId(long id)`
  `void`
  `setName(String name)`
  `void`
  `setParams(String params)`
  `void`
  `setPersistent(boolean persistent)`
  `void`
  `setVersion(long version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Job

    public Job(long id, String group, String name, String classname, boolean concurrent, boolean persistent, String params, long version)

- ## Method Details

  - ### getId

    public long getId()

  - ### setId

    public void setId(long id)

  - ### getGroup

    public String getGroup()

  - ### setGroup

    public void setGroup(String group)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public void setClassName(String className)

  - ### isConcurrent

    public boolean isConcurrent()

  - ### setConcurrent

    public void setConcurrent(boolean concurrent)

  - ### isPersistent

    public boolean isPersistent()

  - ### setPersistent

    public void setPersistent(boolean persistent)

  - ### getParams

    public String getParams()

  - ### setParams

    public void setParams(String params)

  - ### getVersion

    public long getVersion()

  - ### setVersion

    public void setVersion(long version)